<?php
define('EmpireCMSAdmin','1');
$stime=microtime(true);
require("../class/connect.php");
require("../class/db_sql.php");
require("../class/functions.php");
require("../class/dpfun.php");
require LoadLang("pub/fun.php");
$link=db_connect();
$empire=new mysqlquery();
$enews=$_POST['enews'];
if(empty($enews))
{
	$enews=$_GET['enews'];
}
//验证用户
$lur=is_login();
$logininid=$lur['userid'];
$loginin=$lur['username'];
$loginrnd=$lur['rnd'];
$loginlevel=$lur['groupid'];
$loginadminstyleid=$lur['adminstyleid'];
$incftp=0;
if($public_r['phpmode'])
{
	include("../class/ftp.php");
	$incftp=1;
}

if($enews=="bk")//刷新一本书缓存
{
	$bookid=$_GET['bookid'];
	Bk_r($bookid,$stime);
}
elseif($enews=="getnp")//刷新一本书缓存
{
	$bookid=$_GET['bookid'];
	$id=$_GET['id'];
	GetNP($bookid,$id);
}
else
{
	printerror("ErrorUrl","history.go(-1)");
}
db_close();
$empire=null;
?>

